
QGIS Application - Bug report #2558

JPEG2000 images display as black under Windows (QGIS 1.4.0)

2010-03-16 01:25 AM - Brendon Wolff-Piggott -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12618

Description

On Win XP (SP3), QGIS 1.4.0, installed using the OSGEO4W installer, JPEG2000 files display as uniform black.

I am not a programmer so I cannot build and test in more detail.  The files made available for testing under #996 should be used for

testing.  I will try to look at this on a Linux box, but I am short of time.

This problem looks like it may be similar to #996 (closed), where similar JPEG2000 problem was picked up on the Mac.  I did not follow

the solution quite, it seemed to be something to do with compilation options for GDAL.

Please help me to stay off of [[ArcGIS]]! :-)

History

#1 - 2010-03-16 01:58 AM - Giovanni Manghi

I cannot find any image to test in the #996 ticket.

The images here

http://www.microimages.com/gallery/jp2/

open fine under linux.

#2 - 2010-03-16 03:31 AM - Brendon Wolff-Piggott -

I displayed three small images downloaded from the website in QGIS 1.4.0 under windows (CB_TM432, world, potholes2).  There are clear problems with

the display.  

I see no way to add attachments.  Will try to load to Bitbucket and link.

#3 - 2010-03-16 03:39 AM - Brendon Wolff-Piggott -

Look at screenshots here: [http://s273.photobucket.com/albums/jj219/brendonwp/QGIS%20Screenshots/]

#4 - 2010-06-11 09:47 PM - Paolo Cavallini

Please check it again with a newer QGIS, and close this if fixed
#5 - 2010-10-23 01:59 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

Not reproducible here. Closing it, pending user feedback. Please reopen it if necessary.
